Subject: [bug#75745] [PATCH] gnu: hugs: Ignore integer overflow.

From: Lennart Augustsson <[email-masked]>
Date: Sun, 26 Jan 2025 01:28:02 +0100

I think bootstrapping GHC is a fun goal, but I'm only willing to put in
limited effort.

On Sat, Jan 25, 2025, 20:45 <[email-masked]> wrote:

> I wouldn't hurry to close this thread, as it seems to be
> architecture-specific problem as today macOS runs on ARM, so Guix on
> non-x86 architectures might also be affected.
>
> By the way, I just tested that this code doesn't crash Hugs: fromInteger
> (9^20) :: Int
>
> Honestly I am extremely surprised by your willingness to help to
> bootstrap GHC, as it's hard to find anyone interested in Haskell
> community, and it might be impossible to convince GHC developers to
> cooperate.
>
> However I am content with what I already have as I only wanted minimal
> bootstrappable Haskell compiler which I can flexibly change to port to
> Plan 9 and all architectures it supports, and someone else already
> ported Hugs there.
>
> Having GHC on that minimal and portable system is just too much work and
> once ported won't even be able to build 99% of packages on Stackage
> because Plan 9 is anti-ISO and anti-POSIX, Plan 9 is research OS that
> from the beginning opposes existing standards and so maintaining GHC
> there would make it harder for me to experiment.
>